Loading...
Searching...
No Matches
TileData< ValueType > Struct Template Reference

Struct that encodes a bounding box, value and level of a tile. More...

`#include <openvdb/tools/FindActiveValues.h>`

## Public Member Functions

| TileData ()=default
| Default constructor.
| TileData (const CoordBBox &b, const ValueType &v, Index l, bool active=true)
| Member data constructor.
template<typename ParentNodeT >
| TileData (const ParentNodeT &parent, Index childIdx)
| Constructor from a parent node and the linear offset to one of its tiles.
template<typename ParentNodeT >
| TileData (const ParentNodeT &parent, const Coord &ijk, const ValueType &v)
| Constructor form a parent node, the coordinate of the origin of one of its tiles, and said tiles value.

## Public Attributes

CoordBBox | bbox
ValueType | value
Index | level
bool | state

## Detailed Description

template<typename ValueType>
struct openvdb::v11_0::tools::TileData< ValueType >

Struct that encodes a bounding box, value and level of a tile.

The bbox of a tiles is trimmed to the bounding box that probed it. The level is typically defined as: 1 is 8^3, 2 is 128^3, and 3 is 4096^3.

## Constructor & Destructor Documentation

## TileData() [1/4]

template<typename ValueType >

TileData | ( |  | ) |

default

Default constructor.

## TileData() [2/4]

template<typename ValueType >

TileData | ( | const CoordBBox & | b,
|  | const ValueType & | v,
|  | Index | l,
|  | bool | active = `true`
| ) |  |

inline

Member data constructor.

## TileData() [3/4]

template<typename ValueType >
template<typename ParentNodeT >

TileData | ( | const ParentNodeT & | parent,
|  | Index | childIdx
| ) |  |

inline

Constructor from a parent node and the linear offset to one of its tiles.

Warning
  This is an expert-only method since it assumes the linear offset to be valid, i.e. within the rand of the dimension of the parent node and NOT corresponding to a child node.

## TileData() [4/4]

template<typename ValueType >
template<typename ParentNodeT >

TileData | ( | const ParentNodeT & | parent,
|  | const Coord & | ijk,
|  | const ValueType & | v
| ) |  |

inline

Constructor form a parent node, the coordinate of the origin of one of its tiles, and said tiles value.

## Member Data Documentation

## bbox

template<typename ValueType >

CoordBBox bbox

## level

template<typename ValueType >

Index level

## state

template<typename ValueType >

bool state

## value

template<typename ValueType >

ValueType value